Subject: Re: GUI Clients

From: Forrest Aldrich <[email-masked]>
Date: Tue, 24 Aug 1993 18:44:36 -0700

Through e-mail, [email-masked] writes:
| 
| A lot of the discussion on this thread seems to be focussed on low-level
| protocols.  While I agree that images, various communications protocols,
| and even (eugh) DOS support might be nice to include, I don't see them as
| being *that* important to the fundamental character of a m++.  In fact, a
| premature adoption of restrictive standards will cause the user population
| to become so fragmented that people will become bound to their client
| configuration rather than the VR that interests them.
[ ... ]

	The same could be argued for the many _versions_ and flavors of MUDs
	and MOOs out there.  A moot point, really.  

	I appreciate the fact that there are so many options out there...

	The development of these clients will not cease, and I see it as
	inevitable.  Why?  Most of us have access to a PC and ("eugh") DOS
	or Windows... the fact that the client runs on it should not 
	preclude any other platforms from being considered.

	Naturally, I think the M++ should be designed to accomodate either
	Text or this special (hypertext) graphical protocol.  It's an
	experiment, and one that I am confident will lead to other, perhaps
	better, developments.  Why hinder creativity?

| The phrase that captured my attention is ``text-based virtual reality.'' 
| Like a book.  I would like to see formatted text (fonts, character
| positioning, maybe even some pictures and movies to help elucidate certain
| situations), but the overriding power of this technology is that it is not
| like a video game. 
[ ... ]

	Hmmm... I'm not certain about what your impression is of the original
	thread here (which I began).  I was simply referring to a client that
	would be designed to support some type of hypertext/filter... the 
	client would be doing all the _graphical_ work.  I imagine icons,
	custom editing environments, etc.  The only changes in the MOO, really
	would be to accomodate this... to be put in client/server mode.  

	Everyone else who prefers ``text-based virtual reality'' will be just
	as happy...

| The challenge is to make a server that supports rich
| display formats, but without restricting anyone to any particular platform.
[ ... ]

	I don't see supporting rich formats as limiting it to text-based... and
	I don't think the intention was to 'shut-out' anyone... definately
	not.  I apologize if that is what it seemed.  I do realize, from personal
	experience, that not everyone has access to neat things... but I think
	that something like this could be designed to accomodate _everyone_,
	and I think it's a next 'logical' step from text-based... or at least
	a neat mix :)

	I didn't, however, think that some type of 3D display would come into
	the 'picture'.  IE when you are moving through the MOO... that would be
	neat, but certainly too much to begin with.

	What got me started on this was viewing RIPterm... and of course the
	various other programs like BIXNAV and the client for AmericaOnline...

| The object-oriented nature of LambdaMOO seems like a promising way to
| support flexible clients; it would be a pity to see a lot of good effort
| wasted on dead-end software.
[ ... ]

	Dead end software??  This I definately disagree with.

	Forrest